org.eclipse.mat.snapshot.extension

## Annotation Type Subjects

    @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface Subjects

Used to tag `IClassSpecificNameResolver` and `IRequestDetailsResolver` resolvers with the names of the classes that they handle. Can be used as follows: `@Subjects({"com.example.class1", "com.example.Class2"})` or `@Subjects("com.example.class1")` See `Subject` for a single class name, though this annotation can also be used for a single class name.

Experimental: can also be used to tag `IQuery` queries. These queries are only offered in the drop-down menu from the task bar when one of the classes named by `value()` is present in the snapshot. They are also not offered in the pop-up context menu if the objects selected do not include at least one object of the types named by `value()`.

### Required Element Summary

Required Elements
`String[]` `value`

### Element Detail

#### value

    public abstract String[] value